.waze-jam-setting {
  position: absolute;
  bottom: 30px;
  left: 50%;
  
  .main {
    box-shadow: 0 1px 4px rgb(0 0 0 / 30%);
    min-width: 346px;
    z-index: 1;
    overflow: hidden;
    background: var(--bs-bg-primary);
    color: var(--bs-text-primary);
    border-radius: 8px;
    font-size: 12px;
  }

  .control {
    display: flex;
  }

  .opt-is-timeslider {
    padding: 4px 12px;
  }

  .opt-is-timeslider select {
    border: none;
    font-size: 12px;
  }

  .jam-legend {
    font-family: Roboto, Arial, sans-serif;
    user-select: none;
    white-space: nowrap;
    flex: 1 0 auto;
    padding: 8px 12px;
    line-height: 16px;
    vertical-align: top;
    font-size: 11px;
    color: var(--bs-text-primary);
    border-left: 1px solid #000000;
    text-align: center;
  }

  .level-legend {
    font-size: 11px;
    color: var(--bs-text-primary);
    text-align: center;
    width: auto;
    display: inline-block;

    .legend-box {
      width: 30px;
      height: 5px;
    }

    .level-1 {
      background-color: #5fc362;
    }
    .level-2 {
      background-color: #f2c552;
    }
    .level-3 {
      background-color: #d39a3f;
    }
    .level-4 {
      background-color: #d14918;
    }
    .level-5 {
      background-color: #5a0b0b;
    }
    .level-5-dotted {
      position: absolute;
      width: 3px;
      height: 100%;
      background-color: #ffffff;
    }
  }

  .control-day {
    font-family: Roboto, Arial, sans-serif;
    user-select: none;
    text-align: left;
    font-size: 12px;
    color: #212121;
    white-space: nowrap;
    display: inline-block;
    vertical-align: top;
    padding: 8px;

    .btn-day {
      user-select: none;
      white-space: nowrap;
      background: transparent;
      border: 0;
      font: inherit;
      list-style: none;
      margin: 0;
      outline: 0;
      overflow: visible;
      padding: 0;
      vertical-align: baseline;
      display: inline-block;
      height: 20px;
      width: 20px;
      line-height: 22px;
      text-align: center;
      margin-left: 5px;
      margin-right: 5px;
      text-decoration: none;
      border-radius: 11px;
      color: var(--bs-text-primary);
    }

    .btn-day-selected,
    .btn-day-selected:hover,
    .btn-day-selected:focus {
      cursor: default;
      background-color: #00ad7c;
      color: white;
    }

    .btn-day:hover {
      background-color: var(--bs-bg-secondary);
      text-decoration: none;
      color: #ffffff;
    }
  }

  .date-label {
    padding-top: 8px;
    padding-left: 7px;
    color: var(--bs-text-primary);
  }

  .control-time {
    position: relative;
    display: inline-block;
    margin: 8px;
  }

  .time-label-tick {
    width: 1px;
    height: 5px;
    background-color: #000000;
    display: inline-block;
    vertical-align: top;
    position: absolute;
  }

  .time-label-tick-point {
    width: 1px;
    height: 10px;
    background-color: #000000;
    display: inline-block;
    vertical-align: top;
    position: absolute;
  }

  .time-label-name {
    cursor: default;
    display: inline-block;
    position: absolute;
    width: 40px;
    margin-left: -20px;
    text-align: center;
    font-size: 9px;
    color: var(--bs-text-secondary);
  }

  .opt-jam-type {
    background: var(--bs-bg-primary);
    color: var(--bs-text-secondary);
  }
}

::ng-deep {
  .waze-jam-setting {
    .custom-slider-transparency {
      width: 215px;
      opacity: 1;
      left: 58px;
      top: -2px;
      z-index: 1;
      border-radius: 5px;

      .ng5-slider {
        margin: 0;
      }

      .ng5-slider .ng5-slider-bubble.ng5-slider-limit,
      .ng5-slider .ng5-slider-bubble.ng5-slider-model-value {
        color: var(--bs-success) !important;
      }

      .ng5-slider .ng5-slider-pointer.ng5-slider-active:after {
        background: var(--bs-success);
      }

      .ng5-slider.vertical .ng5-slider-pointer {
        left: -8px !important;
        top: auto;
        bottom: 0;
      }

      .ng5-slider .ng5-slider-pointer {
        cursor: pointer;
        width: 10px;
        height: 10px;
        top: -3px;
        background-color: #0db9f0;
        z-index: 3;
        border-radius: 16px;
      }

      .ng5-slider .ng5-slider-pointer:after {
        display: none;
      }

      .ng5-slider .ng5-slider-bubble {
        cursor: default;
        bottom: 16px;
        padding: 1px 3px;
        color: #55637d;
        font-size: 12px;
      }
      .ng5-slider .ng5-slider-pointer {
        background: var(--bs-success);
      }
      .ng5-slider-ceil,
      .ng5-slider-model-value,
      .ng5-slider-floor {
        display: none !important;
      }

      .ng5-slider-bar {
        background: var(--bs-bg-secondary) !important;
      }

      .ng5-slider .ng5-slider-selection {
        background: var(--bs-success) !important;
        visibility: visible !important;
      }
    }
  }
}
